<?php
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

function highslide_info()
{
	return array(
		"name"			=> "MyBB Highslide",
		"description"	=> "Highslide image viewer-resizer.",
		"author"		=> "Bomlife",
		"version"		=> "5.0",
		"compatibility" => "18*"
	);
}

$plugins->add_hook("global_start", "highslide_fetchtemplate");

function highslide_activate()
{
	global $db, $mybb;
	///// Ayar Grubu //////
    $group = array(
		"name" =>			"highslide_settings",
		"title" =>			"Highslide Settings",
		"description" =>	"Highslide plugin settings.",
		"disporder"		=> "1",
	);
    $db->insert_query("settinggroups", $group);
	$gid = $db->insert_id();
	
	// Ayar 1
    $s1 = array(
		"name"			=> "highslide_theme",
		"title"			=> "Highslide Frame Selection",
        'optionscode'  => 'select
glossy-dark=glossy-dark
rounded-white=rounded-white',
        'value'        => 'glossy-dark',
		"disporder"		=> "1",
		"gid"			=> intval($gid)
	);
	$db->insert_query("settings", $s1);
	
    // Ayar 2
    $s2 = array(
		"name"			=> "highslide_color",
		"title"			=> "Highslide Frame Color Choice",
        'optionscode'  => 'select
dark=dark
white=white',
        'value'        => 'dark',
		"disporder"		=> "2",
		"gid"			=> intval($gid)
	);
	$db->insert_query("settings", $s2);
	
	// Ayar 3
    $s3 = array(
		"name"			=> "highslide_watermark",
		"title"			=> "Highslide Watermark Picture",
		'optionscode' => 'text',
        'value'        => 'highslide/graphics/watermark.png',
		"disporder"		=> "3",
		"gid"			=> intval($gid)
	);
	$db->insert_query("settings", $s3);
	
	// Ayar 4
    $s4 = array(
		"name"			=> "highslide_watermark_width",
		"title"			=> "Highslide Watermark Picture Width",
		'optionscode' => 'text',
        'value'        => '120px',
		"disporder"		=> "4",
		"gid"			=> intval($gid)
	);
	$db->insert_query("settings", $s4);
	
	// Ayar 5
    $s5 = array(
		"name"			=> "highslide_watermark_height",
		"title"			=> "Highslide Watermark Picture Height",
		'optionscode' => 'text',	
        'value'        => '120px',
		"disporder"		=> "5",
		"gid"			=> intval($gid)
	);
	$db->insert_query("settings", $s5);
	
	// Ayar 6
    $s6 = array(
		"name"			=> "highslide_watermark_position",
		"title"			=> "Highslide Watermark Picture Position",
		'optionscode' => 'text',
        'value'        => 'top right',
		"disporder"		=> "6",
		"gid"			=> intval($gid)
	);
	$db->insert_query("settings", $s6);
	
	// Ayar 7
    $s7 = array(
		"name"			=> "highslide_watermark_transparency",
		"title"			=> "Highslide Watermark Picture Transparency",
		'optionscode' => 'text',
        'value'        => '0.4',
		"disporder"		=> "7",
		"gid"			=> intval($gid)
	);
	$db->insert_query("settings", $s7);
	
	// Yeni ablon
	$templates['highslide_head'] = <<<EOT
<script type="text/javascript" src="{\$mybb->settings['bburl']}/highslide/highslide-with-gallery.js"></script>
<link rel="stylesheet" type="text/css" href="{\$mybb->settings['bburl']}/highslide/highslide.css" />
<!--[if lt IE 7]>
<link rel="stylesheet" type="text/css" href="{\$mybb->settings['bburl']}/highslide/highslide-ie6.css" />
<![endif]-->
<script type="text/javascript">
<!--
hs.graphicsDir = '{\$mybb->settings['bburl']}/highslide/graphics/';
hs.align = 'center';
hs.showCredits = false;
hs.allowSizeReduction = true;
hs.fullExpandPosition = 'bottom left';
hs.outlineType = '{\$mybb->settings['highslide_theme']}';
hs.wrapperClassName = '{\$mybb->settings['highslide_color']}';
hs.transitions = ['expand', 'crossfade'];
hs.fadeInOut = true;
hs.numberPosition = 'caption';
hs.dimmingOpacity = 0.75;
hs.registerOverlay({
	html: '<div class="watermark" onclick="return hs.close(this)" title="Close" style="width:{\$mybb->settings['highslide_watermark_width']}; height:{\$mybb->settings['highslide_watermark_height']}; margin-right: 10px; background: url({\$mybb->settings['highslide_watermark']})"></div>',
	hideOnMouseOut: true,
	opacity: {\$mybb->settings['highslide_watermark_transparency']},
	repeat: false,
	position: '{\$mybb->settings['highslide_watermark_position']}',
	fade: 2 // fading the semi-transparent overlay looks bad in IE
	})
// Add the controlbar
if (hs.addSlideshow) hs.addSlideshow({
//slideshowGroup: 'group1',
interval: 3000,
repeat: false,
useControls: true,
fixedControls: 'fit',
overlayOptions: {
opacity: .75,
position: 'bottom center',
hideOnMouseOut: true
}
});
//-->
</script>
EOT;
	
	foreach($templates as $title => $template)
	{
		$insert_template = array(
			'title'		=> $title,
			'template'	=> $db->escape_string($template),
			'sid'		=> '-1',
			'version'	=> '140',
			'dateline'	=> TIME_NOW
		);
		$db->insert_query("templates", $insert_template);
	}


	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	
	find_replace_templatesets("postbit_attachments_thumbnails_thumbnail", "#".preg_quote('<a href="attachment.php?aid={$attachment[\'aid\']}" target="_blank"><img src="attachment.php?thumbnail={$attachment[\'aid\']}" class="attachment" alt="" title="{$attachdate}" /></a>&nbsp;&nbsp;&nbsp;')."#i",'<a href="attachment.php?aid={$attachment[\'aid\']}" class="highslide" onclick="return hs.expand(this)"><img src="attachment.php?thumbnail={$attachment[\'aid\']}" class="attachment" alt="" title="{$attachdate}" /></a>&nbsp;&nbsp;&nbsp;');
	
	find_replace_templatesets("headerinclude", "#".preg_quote('{$stylesheets}')."#i",'{$stylesheets}{$highslide_script}');
		
    rebuild_settings();
}

function highslide_deactivate()
{
	global $db, $mybb;

	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	
	find_replace_templatesets("postbit_attachments_thumbnails_thumbnail", "#".preg_quote('<a href="attachment.php?aid={$attachment[\'aid\']}" class="highslide" onclick="return hs.expand(this)"><img src="attachment.php?thumbnail={$attachment[\'aid\']}" class="attachment" alt="" title="{$attachdate}" /></a>&nbsp;&nbsp;&nbsp;')."#i", '<a href="attachment.php?aid={$attachment[\'aid\']}" target="_blank"><img src="attachment.php?thumbnail={$attachment[\'aid\']}" class="attachment" alt="" title="{$attachdate}" /></a>&nbsp;&nbsp;&nbsp;', 0);
	
	find_replace_templatesets("headerinclude", "#".preg_quote('{$highslide_script}')."#i", '', 0);
	
	// Ayarlar Sil
	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='highslide_settings'");
    $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='highslide_theme'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='highslide_color'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='highslide_watermark'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='highslide_watermark_width'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='highslide_watermark_height'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='highslide_watermark_position'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='highslide_watermark_transparency'");
	
	// ablon Sil
	$deletetemplates = array('highslide_head');
	foreach($deletetemplates as $title)
	{
		$db->query("DELETE FROM ".TABLE_PREFIX."templates WHERE title='".$title."'");
	}
    rebuild_settings();
}

function highslide_fetchtemplate()
{
	global $templates,$highslide_script,$mybb;
	eval("\$highslide_script .= \"".$templates->get("highslide_head")."\";");
}
?>